Bug 126568 - CAN-2004-0607 racoon authentication bug
CAN-2004-0607 racoon authentication bug
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ipsec-tools (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
http://marc.theaimsgroup.com/?l=bugtr...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 08:11 EDT by Mark J. Cox (Product Security)
Modified: 2014-03-16 22:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-29 15:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-23 08:11:42 EDT
Reported to bugtraq on Jun15 an issue that affects all versions of
racoon due to the poor verification of x509 certificates in the
OpenSSL callback. See:

        http://marc.theaimsgroup.com/?l=bugtraq&m=108726102304507
        http://marc.theaimsgroup.com/?l=bugtraq&m=108731967126033

This is fixed in 0.3.3 by splitting the callback; this fix will need
backported to 0.2.2 as shipped with RHEL3.

        Affects: 3AS 3WS 3ES 3Desktop
Comment 2 Mark J. Cox (Product Security) 2004-07-29 15:11:38 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-308.html

Note You need to log in before you can comment on or make changes to this bug.